Bug 849244 - Include signed grub2 and kernel in Alpha
Include signed grub2 and kernel in Alpha
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Josh Boyer
Fedora Extras Quality Assurance
Depends On:
Blocks: F18Alpha-accepted/F18AlphaFreezeExcept
  Show dependency treegraph
Reported: 2012-08-17 15:19 EDT by Josh Boyer
Modified: 2013-01-10 03:32 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-08-23 20:11:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josh Boyer 2012-08-17 15:19:43 EDT
Description of problem:

It would be nice to include a signed kernel and grub2 build in the Alpha.  This would allow us to ensure the Secure Boot feature does not negatively impact non-SB machines.  For those with access to SB enabled firmware, we could also test the feature implementation.

Version-Release number of selected component (if applicable):

Comment 1 Josh Boyer 2012-08-17 15:20:50 EDT
Proposing as NTH
Comment 2 Adam Williamson 2012-08-17 16:00:38 EDT
+1 NTH.
Comment 3 Fedora Update System 2012-08-20 15:05:19 EDT
kernel-3.6.0-0.rc2.git0.2.fc18, grub2-2.00-5.fc18, pesign-0.10-4.fc18 has been submitted as an update for Fedora 18.
Comment 4 Adam Williamson 2012-08-20 19:39:23 EDT
Discussed at 2012-08-20 QA meeting, acting as an NTH review meeting: http://meetbot.fedoraproject.org/fedora-meeting/2012-08-20/fedora-qa.2012-08-20-15.00.html . Accepted as NTH for the benefits described in the initial report.
Comment 5 Fedora Update System 2012-08-23 20:11:51 EDT
kernel-3.6.0-0.rc2.git2.1.fc18, grub2-2.00-5.fc18, pesign-0.10-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.